''This code example is from Propeller Education Kit Labs: Fundamentals, v1.1.
''A .pdf copy of the book is available from www.parallax.com, and also through
''the Propeller Tool software's Help menu (v1.2.6 or newer).
''
'' TestIrDutyDistanceDetector.spin
'' Test distance detection with IrDetector object.

CON

  _xinfreq = 5_000_000                      
  _clkmode = xtal1 + pll16x

  ' CLS = 16, CRSRX = 14, CLREOL = 11

OBJ

  ir     : "IrDetector"
    
var
  long Stack[400]
  
PUB TestIr(addrLIR,addrRIR)
  cognew(GetDistL(addrLIR), @Stack[0])
  cognew(GetDistR(addrRIR), @Stack[200])
Pub GetDistL(addrLIR) | ldist
  LONG[addrLIR] := -1
  waitcnt(clkfreq * 2 + cnt)
  ir.init(6,7,2)
  ldist := ir.Distance
  LONG[addrLIR] := ldist
   
  
Pub GetDistR(addrRIR) | rdist
  LONG[addrRIR] := -1  
  waitcnt(clkfreq * 2 + cnt)
  ir.init(0, 1, 4)                   
  rdist := ir.Distance
  LONG[addrRIR] := rdist
    
    